const e = (o) => {
  const { color: t, spacing: n } = o;
  return {
    ".avatar": {
      position: "relative",
      display: "inline-block"
    },
    ".avatar-icon": {
      color: t("content.inverse.strong"),
      backgroundColor: t("interaction.default"),
      fontWeight: "600",
      width: n(10),
      height: n(10),
      borderRadius: "50%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    }
  };
}, i = {
  getComponents: e
};
export {
  i as TailwindAvatar
};
